<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="mintupdatex-cli">

  <info>
    <link type="guide" xref="index#advanced"/>

    <credit type="author">
      <name>Linux Mint</name>
      <email>root@linuxmint.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Posodabljanje iz ukazne vrstice</desc>
  </info>

  <title>Raba mintupdatex-cli</title>

    <p>Upravitelj posodobitev ponuja orodje v programski vrstici: mintupdatex-cli.</p>

    <p>Če ste izkušeni uporabnik Linuxa, lahko uporabite to orodje v svojih skriptih ali svojih opravilih cron, da avtomatizirate namestitev posodobitev programja.</p>

  <section id="tool1">

  <title>Izpis posodobitev</title>

  <p>Ukaz list lahko uporabite za izpis posodobitev:</p>

  <screen>mintupdatex-cli list</screen>

  <p>Lahko uporabite -s, da zgolj prikažete varnostne posodobitve.</p>

  <p>Uporabite -k, da prikažete le posodobitve jedra.</p>

  <p>Naslednji primer ukaza izpiše vse varnostne posodobitve:</p>

  <screen>mintupdatex-cli list -s</screen>

  </section>

  <section id="tool1">

  <title>Uveljavljanje posodobitev</title>

  <p>Uporabite lahko ukaz »upgrade«, da uveljavite posodobitve, tako da uporabite iste možnosti.</p>

  <p>Naslednji ukaz npr. uveljavi posodobitve jedra:</p>

  <screen>sudo mintupdatex-cli upgrade -r -k</screen>

  <p>Upoštevajte argument -r, ki je dodan za osvežitev predpomnilnika.</p>

  <p>Za podrobnosti o mintupdatex-cli ter popoln seznam argumentov vnesite:</p>

  <screen>mintupdatex-cli -h</screen>

  </section>

</page>
